Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

LV2020Pro + RPi 4 Unable to connect to the target

Solved!
Go to solution

Well chalk that one up to user error folks... I don't know if I'd been staring at screens too long, but I definitely had the wrong version of LINX installed compared with Jeff and David.  Installed the correct items (NI LabVIEW LINX Toolkit and LINX Raspberry Pi Addons) and I can now connect properly.  To note, I did install these without removing the Digilent LINX 3.0.1.192, and it didn't give me issues connecting.

 

I ran the installation, and it reports that 20.0.0-4 is present, though in the log it states "Installation failed. If this is the first time the installation has failed try again. If this error persists search, then post on the LabVIEW MakerHub forumsat labviewmakerhub.com/forums/linx."  Tried launching the example from the install window, and it loads fine.  Though I don't have an LED handy, the example ran without error so I figure it should be good to go.  Thanks all!

0 Kudos
Message 11 of 13
(517 Views)

Yeah I get that same failed error, Yet the DIO work still work, like I said the Serial is not working for me on the Pi3 and Pi4

Jeff D.

Certified Architect LabVIEW Champion DQMH Framework

0 Kudos
Message 12 of 13
(513 Views)

Were you successful with SPI?

0 Kudos
Message 13 of 13
(503 Views)